#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#define USBDNET_LOCAL "/etc/hotplug/usbdnet-local"
#define strNE(a, b) (strcmp((a), (b)))

int
main(int argc, char *argv[])
{
    char *arg;
    arg = argv[1];
    if (argc != 2 || (strNE(arg, "up") && strNE(arg, "down"))) {
	fprintf(stderr, "Usage: %s {up|down}\n", argv[0]);
	return 1;
    }
    execl(USBDNET_LOCAL, USBDNET_LOCAL, arg, NULL);
    fprintf(stderr, "Error: Can't execute " USBDNET_LOCAL ".\n");
    return 1;
}
